=== src/libscotch/Makefile ===
## Copyright 2004,2007-2009 ENSEIRB, INRIA & CNRS
##
## This file is part of the Scotch software package for static mapping,
## graph partitioning and sparse matrix ordering.
##
## This software is governed by the CeCILL-C license under French law
## and abiding by the rules of distribution of free software. You can
## use, modify and/or redistribute the software under the terms of the
## CeCILL-C license as circulated by CEA, CNRS and INRIA at the following
## URL: "http://www.cecill.info".
## 
## As a counterpart to the access to the source code and rights to copy,
## modify and redistribute granted by the license, users are provided
## only with a limited warranty and the software's author, the holder of
## the economic rights, and the successive licensors have only limited
## liability.
## 
## In this respect, the user's attention is drawn to the risks associated
## with loading, using, modifying and/or developing or reproducing the
## software by the user in light of its specific status of free software,
## that may mean that it is complicated to manipulate, and that also
## therefore means that it is reserved for developers and experienced
## professionals having in-depth computer knowledge. Users are therefore
## encouraged to load and test the software's suitability as regards
## their requirements in conditions enabling the security of their
## systems and/or data to be ensured and, more generally, to use and
## operate it in the same conditions as regards security.
## 
## The fact that you are presently reading this means that you have had
## knowledge of the CeCILL-C license and that you accept its terms.
##

includedir	= ../../include
libdir		= ../../lib

##
##  General inference rules.
##

include ../Makefile.inc

%$(OBJ)	:	%.c
				$(CC) $(CFLAGS) -c $(<) -o $(@)

%$(EXE)	:	%.c
		 		$(CC) $(CFLAGS) -DSCOTCH_VERSION=\"$(VERSION)\" $(<) -o $(@) $(LDFLAGS)

##
##  Project rules.
##

.PHONY				:	ptscotch	scotch	ptinstall	install	clean	realclean

scotch				:	clean
					$(MAKE) CC="$(CCS)" CCD="$(CCS)" SCOTCHLIB=scotch	\
					scotch.h						\
					scotchf.h						\
					libscotch$(LIB)						\
					libscotcherr$(LIB)					\
					libscotcherrexit$(LIB)

ptscotch			:	clean
					$(MAKE) CFLAGS="$(CFLAGS) -DSCOTCH_PTSCOTCH" CC="$(CCP)" SCOTCHLIB=ptscotch	\
					scotch.h									\
					scotchf.h									\
					libptscotch$(LIB)								\
					libscotch$(LIB)									\
					libptscotcherr$(LIB)								\
					libptscotcherrexit$(LIB)

install				:
					-$(CP) scotch.h scotchf.h $(includedir)
					-$(CP) libscotch$(LIB) libscotcherr*$(LIB) $(libdir)

ptinstall			:
					-$(CP) scotch.h $(includedir)/ptscotch.h
					-$(CP) scotchf.h $(includedir)/ptscotchf.h
					-$(CP) libptscotch*$(LIB) $(libdir)

clean				:
					-$(RM) *~ *$(OBJ) lib*$(LIB) common2* parser_yy.c parser_ly.h parser_ll.c *scotch.h *scotchf.h y.output dummysizes$(EXE)

realclean			:	clean

##
##  Todo list.
##

common$(OBJ)			:	common.c				\
					module.h				\
					common.h
					$(CAT) module.h common.c > common2.c
					$(CC) $(CFLAGS) -c common2.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common2.c

common_file$(OBJ)		:	common_file.c				\
					module.h				\
					common.h				\
					common_file.h
					$(CAT) module.h common_file.c > common2_file.c
					$(CC) $(CFLAGS) -c common2_file.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common2_file.c

common_file_compress$(OBJ)	:	common_file_compress.c			\
					module.h				\
					common.h				\
					common_file.h				\
					common_file_compress.h
					$(CAT) module.h common_file_compress.c > common2_file_compress.c
					$(CC) $(CFLAGS) -c common2_file_compress.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common2_file_compress.c

common_file_uncompress$(OBJ)	:	common_file_uncompress.c		\
					module.h				\
					common.h				\
					common_file.h				\
					common_file_compress.h
					$(CAT) module.h common_file_uncompress.c > common2_file_uncompress.c
					$(CC) $(CFLAGS) -c common2_file_uncompress.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common2_file_uncompress.c

common_integer$(OBJ)		:	common_integer.c			\
					module.h				\
					common.h				\
					common_sort.c
					$(CAT) module.h common_integer.c > common2_integer.c
					$(CC) $(CFLAGS) -c common2_integer.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common2_integer.c

common_memory$(OBJ)		:	common_memory.c				\
					module.h				\
					common.h
					$(CAT) module.h common_memory.c > common2_memory.c
					$(CC) $(CFLAGS) -c common2_memory.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common2_memory.c

common_stub$(OBJ)		:	common_stub.c				\
					module.h				\
					common.h
					$(CAT) module.h common_stub.c > common_stub2.c
					$(CC) $(CFLAGS) -c common_stub2.c -DSCOTCH_COMMON_RENAME -o $(@)
					$(RM) common_stub2.c

arch$(OBJ)			:	arch.c					\
					module.h				\
					common.h				\
					arch.h					\
					arch_cmplt.h				\
					arch_cmpltw.h				\
					arch_deco.h				\
					arch_hcub.h				\
					arch_mesh.h				\
					arch_tleaf.h				\
					arch_torus.h				\
					arch_vcmplt.h				\
					arch_vhcub.h

arch_build$(OBJ)		:	arch_build.c				\
					module.h				\
					common.h				\
					parser.h				\
					graph.h					\
					arch.h					\
					arch_deco.h				\
					bgraph.h				\
					bgraph_bipart_st.h			\
					arch_build.h

arch_cmplt$(OBJ)		:	arch_cmplt.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_cmplt.h

arch_cmpltw$(OBJ)		:	arch_cmpltw.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_cmpltw.h

arch_deco$(OBJ)			:	arch_deco.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_deco.h

arch_hcub$(OBJ)			:	arch_hcub.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_hcub.h

arch_mesh$(OBJ)			:	arch_mesh.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_mesh.h

arch_tleaf$(OBJ)		:	arch_tleaf.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_tleaf.h

arch_torus$(OBJ)		:	arch_torus.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_torus.h

arch_vcpmlt$(OBJ)		:	arch_vcmplt.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_vcmplt.h

arch_vhcub$(OBJ)		:	arch_vhcub.c				\
					module.h				\
					common.h				\
					arch.h					\
					arch_vhcub.h

bdgraph$(OBJ)			:	bdgraph.c				\
					module.h				\
					common.h				\
					arch.h					\
					dgraph.h				\
					dmapping.h				\
					bdgraph.h

bdgraph_bipart_bd$(OBJ)		:	bdgraph_bipart_bd.c			\
					module.h				\
					common.h				\
					parser.h				\
					arch.h					\
					dgraph.h				\
					dgraph_halo.h				\
					bdgraph.h				\
					bdgraph_bipart_bd.h			\
					bdgraph_bipart_st.h

bdgraph_bipart_df$(OBJ)		:	bdgraph_bipart_df.c			\
					module.h				\
					common.h				\
					parser.h				\
					arch.h					\
					dgraph.h				\
					bdgraph.h				\
					bdgraph_bipart_df.h

bdgraph_bipart_ml$(OBJ)		:	bdgraph_bipart_ml.c			\
					module.h				\
					common.h				\
					parser.h				\
					arch.h					\
					dgraph.h				\
					dgraph_coarsen.h			\
					bdgraph.h				\
					bdgraph_bipart_ml.h			\
					bdgraph_bipart_st.h

bdgraph_bipart_sq$(OBJ)		:	bdgraph_bipart_sq.c			\
					module.h				\
					common.h				\
					parser.h				\
					arch.h					\
					graph.h					\
					bgraph.h				\
					bgraph_bipart_st.h			\
					dgraph.h				\
					bdgraph.h				\
					bdgraph_bipart_sq.h

bdgraph_bipart_st$(OBJ)		:	bdgraph_bipart_st.c			\
					module.h				\
					common.h				\
					gain.h					\
					parser.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_st.h			\
					dgraph.h				\
					dgraph_coarsen.h			\
					bdgraph.h				\
					bdgraph_bipart_bd.h			\
					bdgraph_bipart_df.h			\
					bdgraph_bipart_ml.h			\
					bdgraph_bipart_sq.h			\
					bdgraph_bipart_st.h			\
					bdgraph_bipart_zr.h

bdgraph_bipart_zr$(OBJ)		:	bdgraph_bipart_zr.c			\
					module.h				\
					common.h				\
					arch.h					\
					dgraph.h				\
					bdgraph.h				\
					bdgraph_bipart_zr.h

bdgraph_check$(OBJ)		:	bdgraph_check.c				\
					module.h				\
					common.h				\
					arch.h					\
					dgraph.h				\
					bdgraph.h

bdgraph_gather_all$(OBJ)	:	bdgraph_gather_all.c			\
					module.h				\
					common.h				\
					arch.h					\
					graph.h					\
					bgraph.h				\
					dgraph.h				\
					bdgraph.h

bdgraph_store$(OBJ)		:	bdgraph_store.c				\
					module.h				\
					common.h				\
					arch.h					\
					dgraph.h				\
					bdgraph.h

bgraph$(OBJ)			:	bgraph.c				\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					mapping.h				\
					bgraph.h

bgraph_check$(OBJ)		:	bgraph_check.c				\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h

bgraph_bipart_bd$(OBJ)		:	bgraph_bipart_bd.c			\
					module.h				\
					common.h				\
					parser.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_bd.h			\
					bgraph_bipart_st.h

bgraph_bipart_df$(OBJ)		:	bgraph_bipart_df.c			\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_df.h

bgraph_bipart_ex$(OBJ)		:	bgraph_bipart_ex.c			\
					module.h				\
					common.h				\
					gain.h					\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_ex.h			\
					bgraph_bipart_fm.h			\
					bgraph_bipart_gg.h

bgraph_bipart_fm$(OBJ)		:	bgraph_bipart_fm.c			\
					gain.h					\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_fm.h

bgraph_bipart_gg$(OBJ)		:	bgraph_bipart_gg.c			\
					gain.h					\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_gg.h

bgraph_bipart_gp$(OBJ)		:	bgraph_bipart_gp.c			\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_gp.h

bgraph_bipart_ml$(OBJ)		:	bgraph_bipart_ml.c			\
					module.h				\
					common.h				\
					parser.h				\
					graph.h					\
					graph_coarsen.h				\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_ml.h			\
					bgraph_bipart_st.h

bgraph_bipart_st$(OBJ)		:	bgraph_bipart_st.c			\
					gain.h					\
					module.h				\
					common.h				\
					parser.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_bd.h			\
					bgraph_bipart_df.h			\
					bgraph_bipart_ex.h			\
					bgraph_bipart_fm.h			\
					bgraph_bipart_gg.h			\
					bgraph_bipart_gp.h			\
					bgraph_bipart_ml.h			\
					bgraph_bipart_st.h			\
					bgraph_bipart_zr.h

bgraph_bipart_zr$(OBJ)		:	bgraph_bipart_zr.c			\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h				\
					bgraph_bipart_zr.h

bgraph_store$(OBJ)		:	bgraph_store.c				\
					module.h				\
					common.h				\
					graph.h					\
					arch.h					\
					bgraph.h

dgraph$(OBJ)			:	dgraph.c				\
					module.h				\
					common.h				\
					dgraph.h

dgraph_allreduce$(OBJ)		:	dgraph_allreduce.c			\
					module.h				\
					common.h				\
					dgraph.h

dgraph_band$(OBJ)		:	dgraph_band.c				\
					module.h				\
					common.h				\
					dgraph.h

dgraph_build$(OBJ)		:	dgraph_build.c				\
					module.h				\
					common.h				\
					dgraph.h				\
					dgraph_allreduce.h			\
					dgraph_build.h

dgraph_build_grid3d$(OBJ)	:	dgraph_build_grid3d.c			\
					module.h				\
					common.h				\
					dgraph.h

dgraph_build_hcub$(OBJ)		:	dgraph_build_hcub.c			\
					module.h				\
					common.h				\
					dgraph.h

dgraph_check$(OBJ)		:	dgraph_check.c				\
					module.h				\
					common.h				\
					dgraph.h

dgraph_coarsen$(OBJ)		:	dgraph_coarsen.c			\
					module.h				\
					common.h				\
					dgraph.h				\
					dgraph_allreduce.h			\
					dgraph_coarsen.h			\
					dgraph_match.h

dgraph_fold$(OBJ)		:	dgraph_fold.c				\
					module.h				\
					common.h				\
					dgraph.h				\
					dgraph_fold.h				\
					dgraph_fold_comm.h

dgraph_fold_comm$(OBJ)		:	dgraph_fold_comm.c			\
					module.h				\
					common.h				\
					dgraph.h				\
