=== debian/changelog ===
scotch (5.1.8a.dfsg-2) unstable; urgency=low

  * Added -I to CCS to fix building with LAM-MPI (closes: #581381).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 19 May 2010 14:21:57 -0400

scotch (5.1.8a.dfsg-1) unstable; urgency=low

  * New upstream.
  * Changed control file to conform to Debian Science Policy Manual.
  * Added -I to CFLAGS to fix building with LAM-MPI (closes: #581381).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 12 May 2010 11:33:16 -0400

scotch (5.1.7.dfsg-5) unstable; urgency=low

  * Fixed debugging packages for libraries, and added debugging packages for
    executables in scotch and ptscotch.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 06 Apr 2010 07:34:40 -0400

scotch (5.1.7.dfsg-4) unstable; urgency=low

  [Christophe Trophime]
  * Fix lintian warning
  * Add remove esmumps .so and .a in clean target in debian/rules
  * Add remove [p]scotch-esmumps in clean target in debian/rules
  * Add missing ptscotch headers in libptscotch-dev (closes: #576280).

  [Adam C. Powell, IV]
  * Added -I/usr/include/lam to Makefile.inc (closes: #574724).
  
 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 04 Apr 2010 22:40:02 -0400

scotch (5.1.7.dfsg-3) unstable; urgency=low

  * Uses chrpath to remove rpath from ptscotch and libptscotch5.1 binaries.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 15 Mar 2010 16:25:41 -0400

scotch (5.1.7.dfsg-2) unstable; urgency=low

  * libscotchmetis-dev conflicts with libparmetis-dev (closes: #568841).
  * Made package descriptions more descriptive (closes: #568819, #572892).
  * Added MPI include to library.h included in scotch.h (closes: #570097).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 15 Mar 2010 15:10:03 -0400

scotch (5.1.7.dfsg-1) unstable; urgency=low

  [Christophe Trophime]
  * New upstream release.
  * Added PT-scotch support (Closes: #561384).

  [Adam C. Powell, IV]
  * Removed headers from libptscotch-dev, made it depend on libscotch-dev.
  * Using version with esmumps subdirectory (closes: #531048).
  * Changed source format to 3.0 (quilt).
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 02 Feb 2010 20:03:23 -0500

scotch (5.1.6.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * Bug fix: "FTBFS with binutils-gold", thanks to Peter Fritzsche
    (Closes: #556338).
  * Bug fix: "Should be arch: all", thanks to Adam C Powell IV (Closes:
    #496701).

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 14 Dec 2009 07:31:38 +0100

scotch (5.1.6.dfsg-2) unstable; urgency=low

  * Bug fix: "Should be arch: all", thanks to Adam C Powell IV (Closes:
    #496701).

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 26 May 2009 08:32:26 +0200

scotch (5.1.6.dfsg-1) unstable; urgency=low

  * New upstream release
   + This is mainly a bugfix revision. A bug in the graph folding code,
    which was almost silent in previous releases, was not fixed in release
    5.1.5 but instead was made more salient. It is now fixed for good.
   + A new feature has beed added to the API, which allows users to
    perform asynchronous halo exchange operations, whenever available.

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 21 May 2009 22:36:28 +0200

scotch (5.1.4.dfsg-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/genmanpage.sh: fixed project home page in man pages and
    regenerated the man pages.

  [Adam C. Powell, IV]
  * Updated version number in patches/shared-libs.patch and shared lib package
    .install file name (closes: #527617).
  * Fixed my name in control to match my key (generates an erroneous lintian
    warning, see bug 485705).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 08 May 2009 10:37:25 -0400

scotch (5.1.4.dfsg-1) unstable; urgency=low

  [Christophe Prud'homme]
  * New upstream release
  * debian/rules: rename rule orig-tarball by standard rule
    get-orig-source
  * debian/rules: automatically find out about upstream
  * debian/control: update Standards-Version to 3.8.1 (no change)
  * debian/control: added -dbg
  * debian/control: now generate libscotch-5.1 instead of libscotch-5.1.x,
    don't use the minor version x, there is no interface change
  * scotch: provide script to generate 'dummy' manpages for executables
  * fixed lintian warnings and errors

 -- Christophe Prud'homme <prudhomm@debian.org>  Thu, 16 Apr 2009 10:58:47 +0200

scotch (5.0.6.dfsg-3) unstable; urgency=low

  * Patched metis.h to include typedef idxtype (closes: #496693).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 26 Aug 2008 15:26:16 -0400

scotch (5.0.6.dfsg-2) unstable; urgency=low

  * First upload in a long time (closes: #470419, #470420).
  * Added shared libraries (closes: #470422).
  * Added quilt (for shlib patch) and zlib1g-dev Build-Deps.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 21 Jul 2008 12:16:35 -0400

scotch (5.0.6.dfsg-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.8.0, no changes

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 01 Jul 2008 08:08:45 +0200

scotch (5.0.5.dfsg-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * Bug fix: "scotch: new upstream available", thanks to Adam C Powell IV
    (Closes: #470420).
  * Bug fix: "scotch: lintian cleanups", thanks to Adam C Powell IV
    (Closes: #470419).

  [ Daniel Leidert ]
  * debian/control: Added Vcs and Homepage fields.
  * debian/watch: Fixed.

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 11 Mar 2008 06:52:06 +0100

scotch (5.0.1.dfsg-1) unstable; urgency=low

  * Initial Debian package (Closes: #462487).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 25 Jan 2008 09:13:53 +0100
