=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Add here any variable or target overrides you need.
# where sources are
DEB_SRCDIR = $(CURDIR)/src

CCP=mpicc
CFLAGS=-g -O3 -I. -fPIC -Drestrict=__restrict -DCOMMON_FILE_COMPRESS_GZ -DCOMMON_PTHREAD -DCOMMON_RANDOM_FIXED_SEED -DSCOTCH_PTHREAD -DSCOTCH_RENAME
LDFLAGS=-lz -lm -lrt

DEB_DBG_PACKAGE_scotch = scotch-dbg
DEB_DBG_PACKAGE_ptscotch = ptscotch-dbg
DEB_DBG_PACKAGE_libscotch-5.1 = libscotch-dbg
DEB_DBG_PACKAGE_libptscotch-5.1 = libptscotch-dbg

configure/scotch::
	cp debian/Makefile.inc src/Makefile.inc
	(cd src/libscotch && make scotch.h scotchf.h)

build/scotch::
	-for i in acpl amk_grf  amk_p2 gbase gmk_hy gmk_msh gord gtst mcv mord\
                 amk_ccc amk_hy atst gcv gmk_m2  gmk_ub2 gotst mmk_m2  mtst\
                 amk_fft2 amk_m2 gmap gmk_m3 gmtst gout mmk_m3;\
        do\
	 mv bin/$$i bin/scotch_$$i;\
	done

build/ptscotch::
	-for i in dgmap dgord dgscat dgpart dgtst;\
        do\
	 mv bin/$$i bin/ptscotch_$$i;\
	 chrpath --delete bin/ptscotch_$$i;\
	done
	chrpath --delete src/esmumps/ptscotch_esmumps

build/libptscotch-5.1::
	chrpath --delete src/libscotch/libptscotch-5.1.so
	chrpath --delete src/libscotch/libptscotcherr-5.1.so
	chrpath --delete src/libscotch/libptscotcherrexit-5.1.so
	chrpath --delete src/esmumps/libptesmumps-5.1.so
	chrpath --delete src/libscotchmetis/libptscotchparmetis-5.1.so

install/libscotchmetis-dev::
	(cd lib && ln -s libscotchmetis.a libmetis.a); \
	(cd src/libscotchmetis/ && ln -s libscotchmetis.so libmetis.so)

install/libscotchparmetis-dev::
	(cd lib && ln -s libptscotchparmetis.a libparmetis.a);
	(cd src/libscotchmetis && ln -s libptscotchparmetis.so libparmetis.so)

clean::
	-cp debian/Makefile.inc src/Makefile.inc
	-rm bin/*
	-rm include/*
	-rm src/Makefile.inc
	-rm src/libscotch/*.so src/libscotch/*.a
	-rm src/esmumps/*.so src/esmumps/*.a
	-rm src/esmumps/*scotch_esmumps
	-rm src/libscotchmetis/*.so src/libscotchmetis/*.a
	-rm lib/*.so lib/*.a

DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -n -e 's/\.dfsg.*$$//p')
SCOTCH_VERSION=$(DEB_STRIPPED_UPSTREAM_VERSION)

get-orig-source:
	mkdir tmp; \
	cd tmp; \
	wget http://gforge.inria.fr/frs/download.php/5218/scotch_$(SCOTCH_VERSION)_esmumps.tar.gz; \
	tar xzf scotch_$(SCOTCH_VERSION)_esmumps.tar.gz; \
	mv scotch_5.1_esmumps scotch-$(SCOTCH_VERSION);\
	cd scotch-$(SCOTCH_VERSION);\
	rm doc/ptscotch_user5.1.pdf doc/scotch_user5.1.ps.gz doc/ptscotch_user5.1.ps.gz  doc/scotch_user5.1.pdf; \
	cd .. ; \
	tar czf ../scotch_$(SCOTCH_VERSION).dfsg.orig.tar.gz scotch-$(SCOTCH_VERSION); \
	cd ..; rm -rf tmp
